/*
 * parallelportcontroller.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#include <vdr/plugin.h>


#include "parellelportoutputosdosd.h"

static const char *VERSION        = "0.0.2";
static const char *DESCRIPTION    = "A simple demonstration to manipulate the parallel port.";
static const char *MAINMENUENTRY  = "Parallel Port Controller";

class cPluginParallelportcontroller : public cPlugin {
private:
  // Add any member variables or functions you may need here.
public:
  cPluginParallelportcontroller(void);
  virtual ~cPluginParallelportcontroller();
  virtual const char *Version(void) { return VERSION; }
  virtual const char *Description(void) { return DESCRIPTION; }
  virtual const char *CommandLineHelp(void);
  virtual bool ProcessArgs(int argc, char *argv[]);
  virtual bool Initialize(void);
  virtual bool Start(void);
  virtual void Housekeeping(void);
  virtual const char *MainMenuEntry(void) { return MAINMENUENTRY; }
  virtual cOsdObject *MainMenuAction(void);
  virtual cMenuSetupPage *SetupMenu(void);
  virtual bool SetupParse(const char *Name, const char *Value);
  };

cPluginParallelportcontroller::cPluginParallelportcontroller(void)
{
  // Initialize any member variables here.
  // DON'T DO ANYTHING ELSE THAT MAY HAVE SIDE EFFECTS, REQUIRE GLOBAL
  // VDR OBJECTS TO EXIST OR PRODUCE ANY OUTPUT!
}

cPluginParallelportcontroller::~cPluginParallelportcontroller()
{
  // Clean up after yourself!
}

const char *cPluginParallelportcontroller::CommandLineHelp(void)
{
  // Return a string that describes all known command line options.
  return NULL;
}

bool cPluginParallelportcontroller::ProcessArgs(int argc, char *argv[])
{
  // Implement command line argument processing here if applicable.
  return true;
}

bool cPluginParallelportcontroller::Initialize(void)
{
  // Initialize any background activities the plugin shall perform.
  return true;
}

bool cPluginParallelportcontroller::Start(void)
{
  // Start any background activities the plugin shall perform.
  return true;
}

void cPluginParallelportcontroller::Housekeeping(void)
{
  // Perform any cleanup or other regular tasks.
}

cOsdObject *cPluginParallelportcontroller::MainMenuAction(void)
{
  // Perform the action when selected from the main VDR menu.
  return(new CParallelPortControllerOsd() );
}

cMenuSetupPage *cPluginParallelportcontroller::SetupMenu(void)
{
  // Return a setup menu in case the plugin supports one.
  return NULL;
}

bool cPluginParallelportcontroller::SetupParse(const char *Name, const char *Value)
{
  // Parse your own setup parameters and store their values.
  return false;
}

VDRPLUGINCREATOR(cPluginParallelportcontroller); // Don't touch this!
